Ubuntu 20.04: kodi-fbdev v18 not available

Post Reply
alpe
Posts: 111
Joined: Sat Apr 12, 2014 1:21 pm
languages_spoken: portuguese, english
ODROIDs: C1, N2 4GB
Location: Rio de Janeiro, Brazil
Has thanked: 31 times
Been thanked: 9 times
Contact:

Ubuntu 20.04: kodi-fbdev v18 not available

Post by alpe »

https://wiki.odroid.com/odroid-n2/os_im ... u/20200715 says to install Kodi 18.5 with

Code: Select all

apt-get install kodi-fbdev aml-libs
But:

Code: Select all

$ sudo apt-cache policy kodi-fbdev
kodi-fbdev:
  Installed: (none)
  Candidate: 2:17.7+hk2-odroidc2ubuntu23
  Version table:
     2:17.7+hk2-odroidc2ubuntu23 700
        700 http://deb.odroid.in/n2 focal/main arm64 Packages
        100 /var/lib/dpkg/status
Not only it is 17.7, but it also appears to be for the odroid C2, not N2. Maybe by mistake?
Can also be checked directly from the repository: http://deb.odroid.in/n2/pool/main/k/kodi-fbdev/

Code: Select all

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 20.04 LTS
Release:        20.04
Codename:       focal

$ uname -a
Linux odroid 4.9.230-92 #1 SMP PREEMPT Tue Jul 21 04:07:39 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux
Any estimate for the 18+ launch?

User avatar
odroid
Site Admin
Posts: 34907
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean, Japanese
ODROIDs: ODROID
Has thanked: 954 times
Been thanked: 772 times
Contact:

Re: Ubuntu 20.04: kodi-fbdev v18 not available

Post by odroid »

It was our mistake in that wiki page. We should remove it. I've edited.

In fact, we couldn't build Kodi on Ubuntu 20.04 due to some dependency problems.
It is really hard to estimate how long time we need to solve the issues.

If you need Kodi, consider using CoreELEC with a dual-booting function on Petitboot.
Our Kodi features and qualities are very worse than CoreELEC.
These users thanked the author odroid for the post:
alpe (Thu Jul 23, 2020 10:30 am)

alpe
Posts: 111
Joined: Sat Apr 12, 2014 1:21 pm
languages_spoken: portuguese, english
ODROIDs: C1, N2 4GB
Location: Rio de Janeiro, Brazil
Has thanked: 31 times
Been thanked: 9 times
Contact:

Re: Ubuntu 20.04: kodi-fbdev v18 not available

Post by alpe »

odroid wrote:
Thu Jul 23, 2020 9:09 am
It was our mistake in that wiki page. We should remove it. I've edited.

In fact, we couldn't build Kodi on Ubuntu 20.04 due to some dependency problems.
It is really hard to estimate how long time we need to solve the issues.

If you need Kodi, consider using CoreELEC with a dual-booting function on Petitboot.
Our Kodi features and qualities are very worse than CoreELEC.
I'll consider going back to 18.04 then. Thanks.

alpe
Posts: 111
Joined: Sat Apr 12, 2014 1:21 pm
languages_spoken: portuguese, english
ODROIDs: C1, N2 4GB
Location: Rio de Janeiro, Brazil
Has thanked: 31 times
Been thanked: 9 times
Contact:

Re: Ubuntu 20.04: kodi-fbdev v18 not available

Post by alpe »

odroid wrote:
Thu Jul 23, 2020 9:09 am
In fact, we couldn't build Kodi on Ubuntu 20.04 due to some dependency problems.
Try armhf too.
Widevine doesn't work on arm64.

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: leepage@eml.cc and 2 guests